Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFormElementFixedValue Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $formID=-1)
| get ( $id=-1)
| fill (&$formArray)
& | getAll ()
| count ()
| id ()
& | value ()
| setValue (&$value)

## Public Attributes
| $ID
| $Value

## Detailed Description

! eZForm ezformelementtype documentation.

Example code:

Definition at line 41 of file ezformelementfixedvalue.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFormElementFixedValue::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZFormElementFixedValues object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezformelementfixedvalue.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count()

eZFormElementFixedValue::count | ( |  | ) |

Returns the total count of objects in the database.

Definition at line 176 of file ezformelementfixedvalue.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZFormElementFixedValue::delete | ( |  | $formID = `-1` | ) |

Deletes a eZFormElementFixedValues object from the database.

Definition at line 95 of file ezformelementfixedvalue.php.

References $db, $ID, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ fill()

eZFormElementFixedValue::fill | ( | & | $formArray | ) |

Fills in information to the object taken from the array.

Definition at line 141 of file ezformelementfixedvalue.php.

References $db, and eZDB\globalDatabase().

Referenced by __construct(), and get().

## ◆ get()

eZFormElementFixedValue::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 115 of file ezformelementfixedvalue.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZFormElementFixedValue::getAll | ( |  | ) |

Returns all the objects found in the database.

The objects are returned as an array of eZFormElementFixedValues objects.

Definition at line 153 of file ezformelementfixedvalue.php.

References $db, $i, count(), and eZDB\globalDatabase().

## ◆ id()

eZFormElementFixedValue::id | ( |  | ) |

Returns the object ID. This is the unique ID stored in the database.

Definition at line 190 of file ezformelementfixedvalue.php.

References $ID.

## ◆ setValue()

eZFormElementFixedValue::setValue | ( | & | $value | ) |

Sets the value of the object.

Definition at line 206 of file ezformelementfixedvalue.php.

## ◆ store()

eZFormElementFixedValue::store | ( |  | ) |

Stores a eZFormElementFixedValues object to the database.

Definition at line 66 of file ezformelementfixedvalue.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ value()

& eZFormElementFixedValue::value | ( |  | ) |

Returns the value of the object.

Definition at line 198 of file ezformelementfixedvalue.php.

## Member Data Documentation

## ◆ $ID

eZFormElementFixedValue::$ID

Definition at line 210 of file ezformelementfixedvalue.php.

Referenced by __construct(), delete(), and id().

## ◆ $Value

eZFormElementFixedValue::$Value

Definition at line 211 of file ezformelementfixedvalue.php.

The documentation for this class was generated from the following file:

- ezformelementfixedvalue.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.